<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DeskHelper: Класс CharactersTable</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">DeskHelper
   </div>
   <div id="projectbrief">app for quick and convenient (voice input) access to data, to other app as well as for reminders</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Создано системой Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Поиск');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Поиск');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Открытые члены</a> &#124;
<a href="#properties">Свойства</a> &#124;
<a href="classCharactersTable-members.html">Полный список членов класса</a>  </div>
  <div class="headertitle">
<div class="title">Класс CharactersTable</div>  </div>
</div><!--header-->
<div class="contents">

<p>Прямоугольник, внутри которого грид с возможностью выбора персонажа  
 <a href="classCharactersTable.html#details">Подробнее...</a></p>
<div class="dynheader">
Граф наследования:CharactersTable:</div>
<div class="dyncontent">
<div class="center"><img src="classCharactersTable__inherit__graph.png" border="0" usemap="#CharactersTable_inherit__map" alt="Inheritance graph"/></div>
<map name="CharactersTable_inherit__map" id="CharactersTable_inherit__map">
<area shape="rect" title="Прямоугольник, внутри которого грид с возможностью выбора персонажа" alt="" coords="5,80,132,107"/>
<area shape="rect" title=" " alt="" coords="25,5,112,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">см. легенду</a>]</span></center></div>
<div class="dynheader">
Граф связей класса CharactersTable:</div>
<div class="dyncontent">
<div class="center"><img src="classCharactersTable__coll__graph.png" border="0" usemap="#CharactersTable_coll__map" alt="Collaboration graph"/></div>
<map name="CharactersTable_coll__map" id="CharactersTable_coll__map">
<area shape="rect" title="Прямоугольник, внутри которого грид с возможностью выбора персонажа" alt="" coords="5,80,132,107"/>
<area shape="rect" title=" " alt="" coords="25,5,112,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">см. легенду</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Открытые члены</h2></td></tr>
<tr class="memitem:a8c09c40932959189975d5aa73f9e51e9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCharactersTable.html#a8c09c40932959189975d5aa73f9e51e9">addingImage</a> ()</td></tr>
<tr class="memdesc:a8c09c40932959189975d5aa73f9e51e9"><td class="mdescLeft">&#160;</td><td class="mdescRight">добавление элемента к таблицу (грид)  <a href="classCharactersTable.html#a8c09c40932959189975d5aa73f9e51e9">Подробнее...</a><br /></td></tr>
<tr class="separator:a8c09c40932959189975d5aa73f9e51e9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a45be4763894df0441ee4e9b4e49bb14d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCharactersTable.html#a45be4763894df0441ee4e9b4e49bb14d">removeImage</a> (index)</td></tr>
<tr class="memdesc:a45be4763894df0441ee4e9b4e49bb14d"><td class="mdescLeft">&#160;</td><td class="mdescRight">удаление элемента из грида  <a href="classCharactersTable.html#a45be4763894df0441ee4e9b4e49bb14d">Подробнее...</a><br /></td></tr>
<tr class="separator:a45be4763894df0441ee4e9b4e49bb14d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1c2b6b21623d5c3e491dfeb8ffae05b0"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCharactersTable.html#a1c2b6b21623d5c3e491dfeb8ffae05b0">setGrad</a> ()</td></tr>
<tr class="memdesc:a1c2b6b21623d5c3e491dfeb8ffae05b0"><td class="mdescLeft">&#160;</td><td class="mdescRight">установка нового основного персонажа  <a href="classCharactersTable.html#a1c2b6b21623d5c3e491dfeb8ffae05b0">Подробнее...</a><br /></td></tr>
<tr class="separator:a1c2b6b21623d5c3e491dfeb8ffae05b0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad1145ef00756d4ca88183a6fabf1e56d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCharactersTable.html#ad1145ef00756d4ca88183a6fabf1e56d">getImageTag</a> ()</td></tr>
<tr class="memdesc:ad1145ef00756d4ca88183a6fabf1e56d"><td class="mdescLeft">&#160;</td><td class="mdescRight">получение тэга текущего персонажа в гирде  <a href="classCharactersTable.html#ad1145ef00756d4ca88183a6fabf1e56d">Подробнее...</a><br /></td></tr>
<tr class="separator:ad1145ef00756d4ca88183a6fabf1e56d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a044b282da344590b90a99772e76f1555"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCharactersTable.html#a044b282da344590b90a99772e76f1555">highlightNewElement</a> ()</td></tr>
<tr class="memdesc:a044b282da344590b90a99772e76f1555"><td class="mdescLeft">&#160;</td><td class="mdescRight">перенос текущего элемента на последний элемент грида  <a href="classCharactersTable.html#a044b282da344590b90a99772e76f1555">Подробнее...</a><br /></td></tr>
<tr class="separator:a044b282da344590b90a99772e76f1555"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a40bd338c3f78e9965e4dccb033fa5529"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCharactersTable.html#a40bd338c3f78e9965e4dccb033fa5529">findByName</a> (cn)</td></tr>
<tr class="memdesc:a40bd338c3f78e9965e4dccb033fa5529"><td class="mdescLeft">&#160;</td><td class="mdescRight">поиск по тэгу  <a href="classCharactersTable.html#a40bd338c3f78e9965e4dccb033fa5529">Подробнее...</a><br /></td></tr>
<tr class="separator:a40bd338c3f78e9965e4dccb033fa5529"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0ee12c6e4b35d221541324829a3df471"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCharactersTable.html#a0ee12c6e4b35d221541324829a3df471">getAbsolutePosition</a> (node)</td></tr>
<tr class="memdesc:a0ee12c6e4b35d221541324829a3df471"><td class="mdescLeft">&#160;</td><td class="mdescRight">получение абсолютной позиции элемента node по X и Y.  <a href="classCharactersTable.html#a0ee12c6e4b35d221541324829a3df471">Подробнее...</a><br /></td></tr>
<tr class="separator:a0ee12c6e4b35d221541324829a3df471"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="properties"></a>
Свойства</h2></td></tr>
<tr class="memitem:a4da9ad8f69f0b2a985c16dcdba0b2d4f"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCharactersTable.html#a4da9ad8f69f0b2a985c16dcdba0b2d4f">table</a></td></tr>
<tr class="memdesc:a4da9ad8f69f0b2a985c16dcdba0b2d4f"><td class="mdescLeft">&#160;</td><td class="mdescRight">имя таблицы для запросов к БД  <a href="classCharactersTable.html#a4da9ad8f69f0b2a985c16dcdba0b2d4f">Подробнее...</a><br /></td></tr>
<tr class="separator:a4da9ad8f69f0b2a985c16dcdba0b2d4f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ada97f7b0d9174a2e7e547e9d74e2fa05"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCharactersTable.html#ada97f7b0d9174a2e7e547e9d74e2fa05">isSelected</a></td></tr>
<tr class="memdesc:ada97f7b0d9174a2e7e547e9d74e2fa05"><td class="mdescLeft">&#160;</td><td class="mdescRight">флаг для каждого персонажа, выбран ли он  <a href="classCharactersTable.html#ada97f7b0d9174a2e7e547e9d74e2fa05">Подробнее...</a><br /></td></tr>
<tr class="separator:ada97f7b0d9174a2e7e547e9d74e2fa05"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a682b8b83ed6ceb12c0589c389dc560fb"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCharactersTable.html#a682b8b83ed6ceb12c0589c389dc560fb">currentMainImg</a></td></tr>
<tr class="memdesc:a682b8b83ed6ceb12c0589c389dc560fb"><td class="mdescLeft">&#160;</td><td class="mdescRight">текущий индекс выбранного персонажа в гриде  <a href="classCharactersTable.html#a682b8b83ed6ceb12c0589c389dc560fb">Подробнее...</a><br /></td></tr>
<tr class="separator:a682b8b83ed6ceb12c0589c389dc560fb"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Подробное описание</h2>
<div class="textblock"><p>Прямоугольник, внутри которого грид с возможностью выбора персонажа </p>

<p class="definition">См. определение в файле <a class="el" href="CharactersTable_8qml_source.html">CharactersTable.qml</a> строка <a class="el" href="CharactersTable_8qml_source.html#l00014">14</a></p>
</div><h2 class="groupheader">Методы</h2>
<a id="a8c09c40932959189975d5aa73f9e51e9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8c09c40932959189975d5aa73f9e51e9">&#9670;&nbsp;</a></span>addingImage()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void CharactersTable::addingImage </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>добавление элемента к таблицу (грид) </p>

</div>
</div>
<a id="a40bd338c3f78e9965e4dccb033fa5529"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a40bd338c3f78e9965e4dccb033fa5529">&#9670;&nbsp;</a></span>findByName()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void CharactersTable::findByName </td>
          <td>(</td>
          <td class="paramtype">cn&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>поиск по тэгу </p>

</div>
</div>
<a id="a0ee12c6e4b35d221541324829a3df471"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0ee12c6e4b35d221541324829a3df471">&#9670;&nbsp;</a></span>getAbsolutePosition()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void CharactersTable::getAbsolutePosition </td>
          <td>(</td>
          <td class="paramtype">node&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>получение абсолютной позиции элемента node по X и Y. </p>

</div>
</div>
<a id="ad1145ef00756d4ca88183a6fabf1e56d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad1145ef00756d4ca88183a6fabf1e56d">&#9670;&nbsp;</a></span>getImageTag()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void CharactersTable::getImageTag </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>получение тэга текущего персонажа в гирде </p>

</div>
</div>
<a id="a044b282da344590b90a99772e76f1555"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a044b282da344590b90a99772e76f1555">&#9670;&nbsp;</a></span>highlightNewElement()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void CharactersTable::highlightNewElement </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>перенос текущего элемента на последний элемент грида </p>

</div>
</div>
<a id="a45be4763894df0441ee4e9b4e49bb14d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a45be4763894df0441ee4e9b4e49bb14d">&#9670;&nbsp;</a></span>removeImage()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void CharactersTable::removeImage </td>
          <td>(</td>
          <td class="paramtype">index&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>удаление элемента из грида </p>

</div>
</div>
<a id="a1c2b6b21623d5c3e491dfeb8ffae05b0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1c2b6b21623d5c3e491dfeb8ffae05b0">&#9670;&nbsp;</a></span>setGrad()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void CharactersTable::setGrad </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>установка нового основного персонажа </p>

</div>
</div>
<h2 class="groupheader">Полный список свойств</h2>
<a id="a682b8b83ed6ceb12c0589c389dc560fb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a682b8b83ed6ceb12c0589c389dc560fb">&#9670;&nbsp;</a></span>currentMainImg</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int CharactersTable::currentMainImg</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>текущий индекс выбранного персонажа в гриде </p>

<p class="definition">См. определение в файле <a class="el" href="CharactersTable_8qml_source.html">CharactersTable.qml</a> строка <a class="el" href="CharactersTable_8qml_source.html#l00038">38</a></p>

</div>
</div>
<a id="ada97f7b0d9174a2e7e547e9d74e2fa05"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ada97f7b0d9174a2e7e547e9d74e2fa05">&#9670;&nbsp;</a></span>isSelected</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool CharactersTable::isSelected</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>флаг для каждого персонажа, выбран ли он </p>

<p class="definition">См. определение в файле <a class="el" href="CharactersTable_8qml_source.html">CharactersTable.qml</a> строка <a class="el" href="CharactersTable_8qml_source.html#l00036">36</a></p>

</div>
</div>
<a id="a4da9ad8f69f0b2a985c16dcdba0b2d4f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4da9ad8f69f0b2a985c16dcdba0b2d4f">&#9670;&nbsp;</a></span>table</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">string CharactersTable::table</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>имя таблицы для запросов к БД </p>

<p class="definition">См. определение в файле <a class="el" href="CharactersTable_8qml_source.html">CharactersTable.qml</a> строка <a class="el" href="CharactersTable_8qml_source.html#l00017">17</a></p>

</div>
</div>
<hr/>Объявления и описания членов класса находятся в файле:<ul>
<li>/home/alner/Документы/Командный курсовой проект/deskhelper/deskhelper/app/deskhelper/src/<a class="el" href="CharactersTable_8qml_source.html">CharactersTable.qml</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Создано системой &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
